Set Custom Event Blocked
Path Parameters
eventName*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
blocked*boolean
projectId?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/ingest-policy/custom-events/string" \ -H "Content-Type: application/json" \ -d '{ "blocked": true }'{ "builtinEvents": [ { "defaultEnabled": true, "description": "string", "enabled": true, "eventNames": [ "string" ], "key": "string", "name": "string", "override": true, "warning": "string" } ], "customEventBlocklist": [ "string" ]}{ "_tag": "Api/EventAdmissionError", "message": "string"}{ "_tag": "Api/AuthenticationError", "cause": "string", "message": "string"}{ "_tag": "Api/ActionForbiddenError", "message": "string"}{ "_tag": "Api/AuthServiceError", "cause": "string", "message": "string"}